<?
session_name('portal_absa');
session_start();
require("../../conexion/conectar.php");
require("../../libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();

if(!isset($_REQUEST["uuidIngreso"])){
	?><script>
	$j_6.messager.alert("Error.","Faltan parametros.","error");
	</script><?
	exit;
}
$uuidIngreso = $_REQUEST["uuidIngreso"];
$uuidEgreso = $_REQUEST["uuidEgreso"];
if(validaRelacionDuplicada($uuidEgreso,$uuidIngreso)){
	?><script>$j_6.messager.alert("Informaci&oacute;n.","La relaci&oacute;n ya se encuentra.","info");</script><?exit;
}

$qInsert = "insert into cfdirelacionados set automatico='0',uuidpadre='$uuidEgreso',uuidhijo='$uuidIngreso'";
if(!mysqli_query($conexion->CONEXION,$qInsert)){
	?><script>$j_6.messager.alert("Error","Ocurrio un error al agregar la relaci&oacute;n. Intente nuevamente.","error");</script><?exit;
}
setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "INSERT", "tabla cfdirelacionados: relaciona ingreso.", $qInsert);

?><script>$j_6.messager.alert("Informaci&oacute;n","Se ha logrado crear la referencia.","info");</script><?exit;


function validaRelacionDuplicada($uuidEgreso,$uuidIngreso){
	global $conexion;
	$q = "select * from cfdirelacionados where uuidpadre='$uuidEgreso' and uuidhijo='$uuidIngreso'";
	if(!$r = mysqli_query($conexion->CONEXION,$q)){
		?><script>$j_6.messager.alert("Error.","Ocurrio un error al consultar una relaci&oacute;n previa.","error");</script><?exit;
	}
	if(mysqli_num_rows($r) > 0){
		return true;
	}
	return false;
}

?>